#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k, poz;
    scanf("%i", &n);
    scanf("%i", &k);
    int a[n];
    for (int i=0; i<n; i++){
        scanf("%i", &a[i]);
        if (a[i]==k) poz=i;
    }
    if (poz==(n-1))
        printf ("%i", a[0]);
    else
        printf ("%i", a[poz+1]);
    return 0;
}